#ifndef QMAINFRAME_H
#define QMAINFRAME_H

#include <QtWidgets/QtWidgets>
#include "SystemData.h"
#include "QMyStackedWidget.h"
#include "QTelSalePolicyInfoInputWidget.h"
#include "QTelSalePolicyInfoQuery.h"
#include "QConfigurationWidget.h"
#include "ui_QMainFrame.h" 

class QMainFrame : public QMainWindow, public Ui::QMainFrame
{
	Q_OBJECT

public:
	QMainFrame(QWidget *parent = 0);
	~QMainFrame();

protected Q_SLOTS:
	void onShowInputWidget();
	void onShowQueryWidget();
	void onShowSetParameterWidget();

protected:
	void resizeEvent(QResizeEvent * pEvent);

private:
	void init();
	void initWidget();
	void initSignal();

	void initStatusBar();

private:
	QMyStackedWidget * m_pWidgetStack;

	QTelSalePolicyInfoInputWidget * m_pWidgetInfoInput;
	QTelSalePolicyInfoQuery * m_pWidgetQuery;
	QConfigurationWidget * m_pWidgetConfiguration;
};

#endif // QMAINFRAME_H
